Schedules
POST /v1/create-schedule
Schedule a simulation.
POST /v1/create-schedule
curl --request POST \
--url https://api.getbluejay.ai/v1/create-scheduleimport requests
url = "https://api.getbluejay.ai/v1/create-schedule"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.getbluejay.ai/v1/create-schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/create-schedule",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/create-schedule"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getbluejay.ai/v1/create-schedule")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/create-schedule")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodyCreates a schedule for a simulation. The response returns the schedule as
cron_expression.
schedule.frequency selects the shape of schedule: every N minutes, every N hours, daily, weekly, monthly, or cron. timezone is an IANA name. If it is null, the schedule uses UTC.
Headers
Request body
Response
Status codes
| Status | Meaning |
|---|---|
200 | Successful Response |
422 | Validation Error |
Example request
curl --request POST \
--url https://api.getbluejay.ai/v1/create-schedule \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"timezone": "<string>",
"simulation_id": "<string>",
"schedule": {
"window": {
"days": [
"monday"
],
"start_time": "<string>",
"end_time": "<string>"
},
"frequency": "<string>",
"interval": 123
},
"enabled": true
}'
Example response
200
{
"id": "<string>",
"simulation_id": "<string>",
"cron_expression": "<string>",
"enabled": true,
"timezone": "<string>"
}
Last modified on October 21, 2026
⌘I
POST /v1/create-schedule
curl --request POST \
--url https://api.getbluejay.ai/v1/create-scheduleimport requests
url = "https://api.getbluejay.ai/v1/create-schedule"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.getbluejay.ai/v1/create-schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/create-schedule",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/create-schedule"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getbluejay.ai/v1/create-schedule")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/create-schedule")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body